GIT-LATEXDIFF(1)

NAME
git-latexdiff - Call latexdiff on two Git revisions of a file

OPTIONS

    Usage: git latexdiff [options] OLD [NEW]
           git latexdiff [options] OLD --
           git latexdiff [options] -- OLD
    Call latexdiff on two Git revisions of a file.
    OLD and NEW are Git revision identifiers. NEW defaults to HEAD.
    If "--" is used for NEW, then diff against the working directory.
    Options:
        --help                this help message
        --help-examples       show examples of usage
        --main <file>         name of the main LaTeX, R Sweave,
                                or Emacs Org mode file.
                                The search for the only file containing 'documentclass'
                                will be attempted, if not specified.
                                For non-LaTeX files, a reasonable `prepare` command
                                will be used unless explicitly provided
        --no-view             don't display the resulting PDF file
        --latex               run latex instead of pdflatex
        --bibtex, -b          run bibtex as well as latex
                                 (pdflatex,bibtex,pdflatex,pdflatex)
        --biber               run BibLaTex-Biber as well as latex
                                 (pdflatex,bibtex,pdflatex,pdflatex)
        --view                view the resulting PDF file
                                (default if -o is not used)
        --pdf-viewer <cmd>    use <cmd> to view the PDF file (default: $PDFVIEWER)
        --no-cleanup          don't cleanup temp dir after running
        --no-flatten          don't call latexpand to flatten the document
        --cleanup MODE        Cleanup temporary files according to MODE:
                               - keeppdf (default): keep only the
                                      generated PDF file
                               - none: keep all temporary files
                                      (may eat your diskspace)
                               - all: erase all generated files.
                                      Problematic with --view when the
                                      viewer is e.g. evince, and doesn't
                                      like when the file being viewed is
                                      deleted.
        --latexmk             use latexmk
        --latexopt            pass additional options to latex (e.g. -shell-escape)
        -o <file>, --output <file>
                              copy resulting PDF into <file> (usually ending with .pdf)
                              Implies "--cleanup all"
        --tmpdirprefix        where temporary directory will be created (default: /tmp).
                                Relative path will use repository root as a base
        --verbose, -v         give more verbose output
        --quiet               redirect output from subprocesses to log files
        --prepare <cmd>       run <cmd> before latexdiff (e.g. run make to generate
                                 included files)
        --ln-untracked        symlink uncommited files from the working directory
        --version             show git-latexdiff version.
        --subtree             checkout the tree at and below the main file
                                 (enabled by default, disable with --whole-tree)
        --whole-tree          checkout the whole tree (contrast with --subtree)
        --ignore-latex-errors keep on going even if latex gives errors, so long as
                              a PDF file is produced
        --ignore-makefile     ignore the Makefile, build as though it doesn't exist
        -*                    other options are passed directly to latexdiff
        --bbl                 shortcut to flatten a bbl file of the same name as the project
        --latexpand OPT       pass option OPT to latexpand. Use multiple times like
                              --latexpand OPT1 --latexpand OPT2 to pass multiple options.
        --latexdiff-flatten   use --flatten from latexdiff instead of latexpand
    Unrecognized options are passed unmodified to latexdiff.
    Examples:
    Pass --type=CHANGEBAR to latexdiff to get changebars in the margins
    instead of red+trike/blue+underline diff:
        git latexdiff --type=CHANGEBAR HEAD^
    Use a specific latexdiff configuration file:
        git latexdiff --config /path/to/file HEAD^